Subject: bug#69997: Should ‘guix import pypi’ get dependencies from pyproject files?

From: Lars-Dominik Braun <[email-masked]>
Date: Mon, 16 Dec 2024 19:42:29 +0100

Hi,

> It looks like we still take info from ‘requirements.txt’; is
> ‘pyproject.toml’ insufficient?

correct. As a first quality of life improvement I would keep the other
information sources, but as we improve the importer further (by adding
poetry support for example), we need to fall back on them less often
I hope.

> Lars, do you have a commit access?

I have, but please go ahead and merge it into master. My available time
slots to work on Guix are quite limited, so merging my patches – even
though I have commit access – speeds things up.

Lars